Move to kernel style SPDX license identifiers
[babeltrace.git] / tests / plugins / sink.ctf.fs / succeed / test_succeed
index fa5f3751ec9c36e63c977081ead9df98a23aae69..ffca9bdac862f35f95ea96d2c7daea827fe35191 100755 (executable)
@@ -1,20 +1,9 @@
 #!/bin/bash
 #
-# Copyright (C) 2019 Philippe Proulx <pproulx@efficios.com>
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License
-# as published by the Free Software Foundation; only version 2
-# of the License.
+# SPDX-License-Identifier: GPL-2.0-only
 #
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
+# Copyright (C) 2019 Philippe Proulx <pproulx@efficios.com>
 #
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
 # This test validates that a `src.ctf.fs` component successfully reads
 # specific CTF traces and creates the expected messages.
@@ -36,24 +25,17 @@ source "$UTILSSH"
 this_dir_relative="plugins/sink.ctf.fs/succeed"
 this_dir_build="$BT_TESTS_BUILDDIR/$this_dir_relative"
 expect_dir="$BT_TESTS_DATADIR/$this_dir_relative"
+succeed_traces="$BT_CTF_TRACES_PATH/succeed"
 
-test_ctf_gen_single() {
-       name="$1"
-       temp_gen_trace_dir="$(mktemp -d)"
-       temp_out_trace_dir="$(mktemp -d)"
-
-       diag "Generating trace '$name'"
+test_ctf_single() {
+       local name="$1"
+       local in_trace_dir="$2"
+       local temp_out_trace_dir
 
-       if ! "$this_dir_build/gen-trace-$name" "$temp_gen_trace_dir"; then
-               # this is not part of the test itself; it must not fail
-               echo "ERROR: \"$this_dir_build/gen-trace-$name" "$temp_gen_trace_dir\" failed" >&2
-               rm -rf "$temp_gen_trace_dir"
-               rm -rf "$temp_out_trace_dir"
-               exit 1
-       fi
+       temp_out_trace_dir="$(mktemp -d)"
 
        diag "Converting trace '$name' to CTF through 'sink.ctf.fs'"
-       "$BT_TESTS_BT2_BIN" >/dev/null "$temp_gen_trace_dir" -o ctf -w "$temp_out_trace_dir"
+       "$BT_TESTS_BT2_BIN" >/dev/null "$in_trace_dir" -o ctf -w "$temp_out_trace_dir"
        ret=$?
        ok $ret "'sink.ctf.fs' component succeeds with input trace '$name'"
        converted_test_name="Converted trace '$name' gives the expected output"
@@ -61,17 +43,47 @@ test_ctf_gen_single() {
        if [ $ret -eq 0 ]; then
                bt_diff_details_ctf_single "$expect_dir/trace-$name.expect" \
                        "$temp_out_trace_dir" \
-                       "-p" "with-uuid=no,with-trace-name=no,with-stream-name=no"
+                       '-p' 'with-uuid=no,with-trace-name=no,with-stream-name=no'
                ok $? "$converted_test_name"
        else
                fail "$converted_test_name"
        fi
 
-       rm -rf "$temp_gen_trace_dir"
        rm -rf "$temp_out_trace_dir"
 }
 
-plan_tests 4
+test_ctf_existing_single() {
+       local name="$1"
+       local trace_dir="$succeed_traces/$name"
+
+       test_ctf_single "$name" "$trace_dir"
+}
+
+test_ctf_gen_single() {
+       local name="$1"
+       local temp_gen_trace_dir
+
+       temp_gen_trace_dir="$(mktemp -d)"
+
+       diag "Generating trace '$name'"
+
+       if ! "$this_dir_build/gen-trace-$name" "$temp_gen_trace_dir"; then
+               # this is not part of the test itself; it must not fail
+               echo "ERROR: \"$this_dir_build/gen-trace-$name" "$temp_gen_trace_dir\" failed" >&2
+               rm -rf "$temp_gen_trace_dir"
+               exit 1
+       fi
+
+       test_ctf_single "$name" "$temp_gen_trace_dir"
+       rm -rf "$temp_gen_trace_dir"
+}
+
+plan_tests 14
 
 test_ctf_gen_single float
 test_ctf_gen_single double
+test_ctf_existing_single meta-variant-no-underscore
+test_ctf_existing_single meta-variant-one-underscore
+test_ctf_existing_single meta-variant-reserved-keywords
+test_ctf_existing_single meta-variant-same-with-underscore
+test_ctf_existing_single meta-variant-two-underscores
This page took 0.024165 seconds and 4 git commands to generate.